--- old/usr/src/uts/common/nfs/lm.h	Sun Aug 25 23:51:14 2013
+++ new/usr/src/uts/common/nfs/lm.h	Sun Aug 25 23:51:14 2013
@@ -24,11 +24,13 @@
  * Use is subject to license terms.
  */
 
+/*
+ * Copyright 2011 Nexenta Systems, Inc.  All rights reserved.
+ */
+
 #ifndef _NFS_LM_H
 #define	_NFS_LM_H
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Interface definitions for the NFSv2/v3 lock manager.
  */
@@ -42,7 +44,6 @@
 #include <sys/types.h>
 #include <sys/vnode.h>
 #include <rpc/rpc.h>
-#include <nfs/export.h>
 
 #ifdef _KERNEL
 
@@ -50,6 +51,8 @@
  * Common interfaces.
  */
 
+struct exportinfo;
+
 /*
  * The numeric sysid is used to identify a host and transport.
  *
@@ -154,7 +157,7 @@
 extern sysid_t		   lm_alloc_sysidt(void);
 extern void		   lm_free_sysidt(sysid_t);
 
-#else /* _KERNEL */
+#endif /* _KERNEL */
 
 #ifdef __STDC__
 extern int lm_shutdown(void);
@@ -162,8 +165,6 @@
 extern int lm_shutdown();
 #endif /* __STDC__ */
 
-#endif /* _KERNEL */
-
 #ifdef __cplusplus
 }
 #endif
